@import url(https://fonts.googleapis.com/css?family=Montserrat:100,200,300,regular,500,600,700,800,900,100italic,200italic,300italic,italic,500italic,600italic,700italic,800italic,900italic);

body {
  font-size: 16px;
  color: #1c4941;
  font-weight: 400;
  font-family: Montserrat;
}

.container {
  max-width: 1280px;
  margin: 0 auto;
  padding: 0 15px;
}

.menu__mobile-contact {
  display: none;
}

/* Header */

.header {
  background-color: #000;
  padding: 23px 0 35px 0;
}

.header__wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.logo__wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
}
.text__logo {
  font-size: 20px;
  font-weight: 700;
  color: #fff;
}

.menu__link {
  font-weight: 600;
  padding: 0 40px;
  border-right: 2px solid rgba(196, 196, 196, 0.3);
  border-left: 2px solid rgba(196, 196, 196, 0.3);
  color: #fff;
}

.menu__link-mobile {
  display: none;
}

.contact__header-wrapper {
  display: flex;
  align-items: center;
  gap: 22px;
}
.phone__wrapper {
  display: flex;
  align-items: center;
  gap: 12px;
}

.text-opacity {
  font-size: 14px;
  font-weight: 500;
  color: #d5d5d5;
}

.phone__link {
  font-size: 16px;
  font-weight: 600;
  color: #fff;
}

.account__wrapper {
  display: flex;
  align-items: center;
  gap: 12px;
}
.account__link {
  width: 66px;
  text-decoration: underline;
  font-size: 15px;
  color: #ddf8e5;
  font-weight: 600;
}

/* Welcome */

.welcome {
  padding-top: 15px;
  position: relative;
  padding-bottom: 20px;
  border-bottom: 2px solid #daeadb;
  position: relative;
}

.shadow__line-welcome {
  position: relative;
  z-index: 5;
  margin-top: -15px;
  padding-top: 20px;
}

.shadow__line-welcome::before {
    content: "";
    position: absolute;
    top: -10px;
    left: 15px;
    right: 15px;
    height: 40px;
    background: rgba(255, 255, 255, 0.25);
    border-radius: 14px 14px 0 0;
    z-index: -1;
}

.shadow__line-welcome::after {
    content: "";
    position: absolute;
    top: -17px;
    left: 35px;
    right: 35px;
    height: 40px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 14px 14px 0 0;
    z-index: -2;
}


.welcome::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #daeadb;
  top: 96px;
  left: 0;
}
.welcome::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #daeadb;
  top: 160px;
  left: 0;
}

.welcome__wrapper {
  display: flex;
  flex-direction: column;
}

.line__welcome::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #daeadb;
  top: 283px;
  left: 0;
}

.line__welcome::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #daeadb;
  top: 416px;
  left: 0;
}

.box-step__welcome {
  padding: 20px 15px;
  background-color: #ddf8e5;
  width: 265px;
  border-radius: 8px 8px 0px 0px;
  display: flex;
  align-items: center;
  gap: 20px;
}
.number-step {
  width: 30px;
  height: 26px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #02bc4d;
  font-weight: 600;
  color: #fff;
  border-radius: 100%;
  box-shadow: 0px 20px 20px rgba(34, 204, 102, 0.15);
}
.text-step {
  font-weight: 700;
  color: #02bc4d;
}
.title__welcome {
  font-size: 18px;
  font-weight: 700;
  margin: 25px 0;
}
.form__welcome-group-one {
  display: flex;
  gap: 30px;
  align-items: center;
  margin-top: 5px;
  margin-bottom: 35px;
}
.input__group {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.label__welcome-input {
  font-size: 15px;
  font-weight: 700;
}

.form__welcome-input {
  padding: 15px;
  border-radius: 4px;
  border: 1.6px solid #c9dfcc;
  font-size: 16px;
  font-weight: 600;
  color: #6e746d;
}

.form__welcome-input:focus {
  outline: none;
  border-color: #afcab3;
}

.form__welcome-input::placeholder {
  color: #96a795;
  font-weight: 500;
}

.form__welcome-group-two {
  display: flex;
  align-items: center;
  gap: 30px;
  margin-top: 5px;
  margin-bottom: 35px;
}
.welcome__btn-group {
  margin-top: 35px;
  display: flex;
  align-items: start;
  gap: 30px;
}
.welcome__form-btn {
  padding: 20px;
  background: linear-gradient(180deg, #04cc18 0%, #02bc4d 63.54%);
  box-shadow:
    0px 3px 3px rgba(28, 218, 70, 0.2),
    0px 15px 20px rgba(28, 218, 104, 0.15);
  border-radius: 45px;
  border: none;
  width: 265px;
  color: #9ee8a6;
  font-weight: 700;
  cursor: not-allowed;
  cursor: not-allowed;
  transition: all 0.3s ease;
}
.confirm__group-welcome {
  display: flex;
  align-items: start;
  gap: 10px;
}

.checkbox__welcome-form {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkbox-container {
  display: flex;
  align-items: flex-start;
  cursor: pointer;
  gap: 12px;
}

.custom-checkbox {
  min-width: 24px;
  height: 24px;
  border: 2px solid #28a745;
  border-radius: 4px;
  position: relative;
  transition: background 0.3s;
}

.custom-checkbox::after {
  content: "";
  position: absolute;
  display: none;
  left: 7.5px;
  top: 3.5px;
  width: 6px;
  height: 11px;
  border: solid #28a745;
  border-width: 0 3px 3px 0;
  transform: rotate(45deg);
}

.checkbox__welcome-form:checked ~ .custom-checkbox::after {
  display: block;
}

.text__confirm {
  font-weight: 500;
  color: #878d86;
  max-width: 400px;
  line-height: 1.3;
}

.text--bold {
  font-weight: 600;
}

.input__group {
  position: relative;
  display: flex;
  flex-direction: column;
  padding-bottom: 18px;
}

.form__welcome-input.error {
  border: 1px solid #ff4d4d !important;
  background-color: #fff5f5;
}

.form__welcome-input:focus {
  outline: none;
  border-color: #02bc4d;
}

.error-hint {
  position: absolute;
  bottom: 0;
  left: 0;
  color: #ff4d4d;
  font-size: 11px;
  font-weight: 600;
  display: block;
  visibility: hidden;
  opacity: 0;
  transition:
    opacity 0.3s ease,
    visibility 0.3s;
  white-space: nowrap;
}

.form__welcome-input.error ~ .error-hint,
.error-hint.show {
  visibility: visible;
  opacity: 1;
}

.welcome__form-btn.active-btn {
  background-color: #02bc4d !important;
  color: #fff !important;
  cursor: pointer !important;
}

@keyframes shake {
  0%,
  100% {
    transform: translateX(0);
  }
  20% {
    transform: translateX(-8px);
  }
  40% {
    transform: translateX(8px);
  }
  60% {
    transform: translateX(-5px);
  }
  80% {
    transform: translateX(5px);
  }
}

.shake-it {
  animation: shake 0.4s ease-in-out;
  background-color: #ff4d4d !important;
}

/* Footer */

.footer {
  background-color: #f4fff7;
  padding-top: 85px;
  padding-bottom: 10px;
  position: relative;
}

.footer::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #daeadb;
  top: 127px;
  left: 0;
}

.footer__wrapper {
  display: flex;
  justify-content: space-between;
}
.footer__list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.footer__item {
  width: 200px;
}
.footer__link {
  font-weight: 600;
  color: #02bc4d;
  text-decoration: underline;
  line-height: 1.3;
}
.footer__list-title {
  font-size: 20px;
  font-weight: 600;
  color: #878d86;
  margin-bottom: 9px;
}
.footer__copyrigth-text {
  text-align: center;
  margin-top: 30px;
  font-size: 15px;
  font-weight: 600;
  color: #878d86;
}

.burger-contact {
  display: none;
}

.loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: #fff; /* как на скрине — чисто белый */
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    z-index: 9999;
    overflow: hidden;
}

.circle-loader {
    width: 80px;
    height: 80px;
    border-radius: 50%;

    background: conic-gradient(
        rgba(255, 255, 255, 0) 0deg,
        rgba(2, 188, 77, 0.05) 120deg,
        rgba(2, 188, 77, 0.3) 200deg,
        #02BC4D 250deg,
        #04CC18 300deg,
        rgba(4, 204, 24, 0.4) 330deg,
        rgba(4, 204, 24, 0) 360deg
    );

    /* 👉 тонкая линия */
    -webkit-mask: radial-gradient(farthest-side, transparent 88%, black 89%);
    mask: radial-gradient(farthest-side, transparent 88%, black 89%);

    animation: spin 1.2s linear infinite;
}

.loader-text {
    margin-top: 15px;
    color: #878D86;
    font-size: 16px;
    font-weight: 500;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@media (max-width: 980px) {
  .footer__list-empty {
    display: none;
  }
}

@media (max-width: 805px) {
  .form__welcome-group-one {
    flex-direction: column;
    gap: 15px;
    margin-bottom: 15px;
  }

  .form__welcome-group-two {
    margin-bottom: 0;
  }

  .input__group {
    width: 100%;
  }

  .line__welcome::after {
    display: none;
  }

  .line__welcome::before {
    display: none;
  }
}

@media (max-width: 780px) {
  .menu,
  .contact__header-wrapper {
    display: none !important;
  }

  .header {
    padding-bottom: 35px;
    position: relative;
  }

  .header::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    top: 0;
    top: 115px;
    background-color: rgba(196, 196, 196, 0.2);
  }

  .menu__link-mobile {
    display: flex;
    justify-content: center;
    margin-top: 35px;
  }

  .menu__link {
    border-right: none;
    border-left: none;
  }

  .burger-contact {
    display: block;
    position: relative;
    z-index: 2000;
    cursor: pointer;
  }

  .burger__menu-wrapper-contact {
    width: 50px;
    height: 50px;
    background: linear-gradient(
      180deg,
      rgba(255, 255, 255, 0.05) 35.36%,
      rgba(255, 255, 255, 0.2) 100%
    );
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .burger__icon-open-contact {
    width: 23px;
    height: 23px;
  }

  .burger__icon-close-contact {
    display: none;
  }

  .burger-contact.show .burger__menu-wrapper-contact {
    display: none;
  }

  .burger-contact.show .burger__icon-close-contact {
    display: block;
    margin-right: 13px;
    width: 22px;
    z-index: 1000;
  }

  .menu__mobile-contact {
    display: flex;
    flex-direction: column;
    gap: 20px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;

    background: linear-gradient(
      149.3deg,
      #02bc4d 33%,
      rgba(4, 204, 24, 0.85) 95.23%
    );

    padding: 52px 30px 53px;
    box-sizing: border-box;
    z-index: 1000;
    border-radius: 0px 0px 14px 14px;

    transform: translateY(-100%);
    transition: transform 0.4s ease-in-out;
  }

  .menu__mobile-contact.show {
    transform: translateY(0);
  }

  .menu__mobile-contact .menu__link {
    color: #fff;
    font-size: 16px;
    font-weight: 700;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    text-decoration: none;
  }

  .text-opacity {
    color: #ddf8e5;
    font-weight: 500;
    font-size: 15px;
  }

  .menu__link-account {
    text-decoration: underline #fff !important;
  }

  .text__confirm {
    max-width: 335px;
  }

  .text__logo {
    font-size: 18px;
  }
}

@media (max-width: 705px) {
  .welcome__btn-group {
    flex-direction: column;
    gap: 25px;
  }

  .text__confirm {
    max-width: none;
    width: 100%;
  }

  .welcome__form-btn {
    width: 100%;
  }
}

@media (max-width: 695px) {
  .footer {
    padding-top: 50px;
  }

  .footer::after {
    top: 90px;
  }
}

@media (max-width: 690px) {
  .footer__wrapper {
    flex-direction: column;
    gap: 30px;
  }

  .footer::after {
    display: none;
  }

  .footer__list-title {
    margin-bottom: 0;
  }
}

@media (max-width: 540px) {
  .form__welcome-group-two {
    flex-direction: column;
    gap: 15px;
  }
}

@media (max-width: 450px) {
  .menu__mobile-contact .menu__link {
    justify-content: start;
  }

  .menu__mobile-contact {
    padding-left: 0;
    padding-right: 0;
  }

  .menu__link {
    padding-left: 30px;
  }

  .menu__link-phone {
    border-top: 1px solid rgb(255, 255, 255, 0.4);
    border-bottom: 1px solid rgb(255, 255, 255, 0.4);
    padding: 20px;
    padding-right: 0;
  }

  .text-step {
    display: none;
  }

  .box-step__welcome {
    width: 45px;
    padding: 15px 10px;
  }

  .welcome::after {
    top: 75px;
  }

  .welcome::before {
    top: 126px;
  }

  .title__welcome {
    margin: 20px 0;
  }

  .welcome__btn-group {
    margin-top: 21px;
    gap: 20px;
  }

  .form__welcome-group-two {
    margin-top: 0;
  }

  .footer {
    padding-top: 30px;
  }

  .form__welcome-group-one,
  .form__welcome-group-two {
    gap: 0;
  }

  .welcome, .welcome__confirm {
    background-color: #fff; /* Или твой цвет фона секции */
    border-top-left-radius: 14px; /* Закругление слева */
    border-top-right-radius: 14px; /* Закругление справа */
    margin-top: -10px;
  }

  .header {
    padding-bottom: 40px;
  }

  .shadow__line-welcome::after {
    border-radius: 20px 20px 0px 0px;
  }


}
